Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Plugin Tiers][Sujet Principal] ESPeasy

Avatar de l’utilisateur
Theduck38
Helper
Messages : 2703
Inscription : 22 févr. 2015, 17:32
Localisation : Près de Grenoble
Contact :

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Theduck38 » 25 juil. 2019, 19:24

Bonjour à tous,

Le problème de logs trop verbeux de "espeasy_node" avait-il finalement été résolu ? Je me souviens qu'une erreur avait été pointée dans le code, mais je n'arrive toujours pas à calmer les logs des node. J'en prends des tombereaux...
-- TD38 --
Helper Officiel Jeedom
Zimeteo sur Jeedom : http://www.meteo.lecoin.info
Jeedom Stable sur serveur custom
Le risque électrique - Afficheur leds RGB - Tablette Murale - Thermostat connecté

Avatar de l’utilisateur
Dams
Helper
Messages : 877
Inscription : 16 sept. 2014, 08:06
Localisation : Annecy

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Dams » 03 août 2019, 09:48

Salut à tous
J'ai bien envie de tester ESPeasy, j'ai trouvé ce que je voulait faire:
Mesurer un niveau dan ma cuve de récupération d'eau de pluie.
J'ai un Wemos ESP-8266
J'ai envie d'utiliser un capteur de presssion 4-20mA pour la mesure de niveau(de ce type: https://www.banggood.com/fr/Submersible ... rehouse=CN) Je n'ai pas vraiment la possibilité de mettre un capteur de type radar car il y a des obstacles dans ma cuve.
Pour faire fonctionner le capteur il me faudra donc une alimentation 24v pour alimenter le capteur et un module ina219 I2C pour capter le courant.
Tout à l'air réuni mais mon capteur est un 2 fils. Est-ce bien compatible?
Merci de votre aide
Damien
Helper Officiel Jeedom
Merci à l'équipe pour le job !!
Trucs & Astuces I Documentation Jeedom

Avatar de l’utilisateur
Theduck38
Helper
Messages : 2703
Inscription : 22 févr. 2015, 17:32
Localisation : Près de Grenoble
Contact :

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Theduck38 » 03 août 2019, 11:12

Bonjour,

Qu'est-ce qui te dérange ? Le Ina219 prend deux fils en entrée... le montage se fait en série.
-- TD38 --
Helper Officiel Jeedom
Zimeteo sur Jeedom : http://www.meteo.lecoin.info
Jeedom Stable sur serveur custom
Le risque électrique - Afficheur leds RGB - Tablette Murale - Thermostat connecté

Avatar de l’utilisateur
Dams
Helper
Messages : 877
Inscription : 16 sept. 2014, 08:06
Localisation : Annecy

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Dams » 03 août 2019, 14:42

Theduck38 a écrit :
03 août 2019, 11:12
Bonjour,

Qu'est-ce qui te dérange ? Le Ina219 prend deux fils en entrée... le montage se fait en série.
J'avais peur qu'il ne supporte pas le 24v vu que l'esp s'alimente en 5v.
Mais effectivement je viens de regarder les spec de l'ina219 et pas de soucis.
Je vais passer commande ! 😁
Helper Officiel Jeedom
Merci à l'équipe pour le job !!
Trucs & Astuces I Documentation Jeedom

Avatar de l’utilisateur
Dams
Helper
Messages : 877
Inscription : 16 sept. 2014, 08:06
Localisation : Annecy

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Dams » 07 sept. 2019, 11:44

@Theduck38
Sera t il asser précis pour mesurer du 4-20mA?
J'ai tout le matos maintenant et avant de monter le circuit pour rien je préfère m'en assuré...
Helper Officiel Jeedom
Merci à l'équipe pour le job !!
Trucs & Astuces I Documentation Jeedom

Avatar de l’utilisateur
Theduck38
Helper
Messages : 2703
Inscription : 22 févr. 2015, 17:32
Localisation : Près de Grenoble
Contact :

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Theduck38 » 07 sept. 2019, 22:35

Hello,

Je n'ai pas trop regardé le ina219 mais il y a de la doc un peu partout sur le net ; si tu tapes "INA219 4-20mA" sur Google :
https://forum.arduino.cc/index.php?topic=417569.0
https://forum.pycom.io/topic/3282/i2c-4 ... egration/5

Apparemment si tu modifies le shunt, tu peux lire tout ce que tu veux (dans les limites max du composant).
-- TD38 --
Helper Officiel Jeedom
Zimeteo sur Jeedom : http://www.meteo.lecoin.info
Jeedom Stable sur serveur custom
Le risque électrique - Afficheur leds RGB - Tablette Murale - Thermostat connecté

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 22 oct. 2019, 09:41

Bonjour à tous,
j'essaie en vain d'installer ce plugin car j'ai un soucis lors de l'installation des dépendences avec node &npm que je ne parviens a résoudre.est-ce que quelqu'un pourrait m'aider a résoudre mon problème?
d'avance merci et voici le log :

Code : Tout sélectionner

Début de l'installation
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2019-10-22 09:38:42--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.36.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.36.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1491 (1.5K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 4.62M=0s
2019-10-22 09:38:42 (4.62 MB/s) - 'dependencies.sh' saved [1491/1491]
dependencies.sh: 3: [: espeasy: unexpected operator
Version actuelle : 0
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://security.debian.org jessie/updates InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://ftp.fr.debian.org jessie Release
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://security.debian.org jessie/updates/main armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://security.debian.org jessie/updates/contrib armhf Packages
Hit http://security.debian.org jessie/updates/non-free armhf Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/main armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Hit http://ftp.fr.debian.org jessie-updates/main Translation-en
Hit http://ftp.fr.debian.org jessie-updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/main armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
Package 'npm' is not installed, so not removed
The following packages will be REMOVED:
libc-ares2* libv8-3.14.5* nodejs*
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
After this operation, 5471 kB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 37938 files and directories currently installed.)
Removing nodejs (0.10.29~dfsg-2) ...
Removing libc-ares2:armhf (1.10.0-2+deb8u2) ...
Purging configuration files for libc-ares2:armhf (1.10.0-2+deb8u2) ...
Removing libv8-3.14.5 (3.14.5.8-8.1) ...
Purging configuration files for libv8-3.14.5 (3.14.5.8-8.1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
dependencies.sh: 37: [: armv7l: unexpected operator
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://security.debian.org jessie/updates InRelease
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://ftp.fr.debian.org jessie Release
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/main armhf Packages
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib armhf Packages
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://security.debian.org jessie/updates/main armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/non-free armhf Packages
Hit http://security.debian.org jessie/updates/contrib armhf Packages
Hit http://security.debian.org jessie/updates/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://ftp.fr.debian.org jessie-updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie-updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/main armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Reading package lists...
## You seem to be using Devuan version jessie.
## This maps to Debian "jessie"... Adjusting for you...
## Confirming "jessie" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/jessie/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x jessie main' > /etc/apt/sources.list.d/nodesource.list
bash: /etc/apt/sources.list.d/nodesource.list: No such file or directory
Error executing command, exiting
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libc-ares2 libv8-3.14.5
The following NEW packages will be installed:
libc-ares2 libv8-3.14.5 nodejs
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1834 kB of archives.
After this operation, 5471 kB of additional disk space will be used.
Selecting previously unselected package libc-ares2:armhf.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 37830 files and directories currently installed.)
Preparing to unpack .../libc-ares2_1.10.0-2+deb8u2_armhf.deb ...
Unpacking libc-ares2:armhf (1.10.0-2+deb8u2) ...
Selecting previously unselected package libv8-3.14.5.
Preparing to unpack .../libv8-3.14.5_3.14.5.8-8.1_armhf.deb ...
Unpacking libv8-3.14.5 (3.14.5.8-8.1) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../nodejs_0.10.29~dfsg-2_armhf.deb ...
Unpacking nodejs (0.10.29~dfsg-2) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libc-ares2:armhf (1.10.0-2+deb8u2) ...
Setting up libv8-3.14.5 (3.14.5.8-8.1) ...
Setting up nodejs (0.10.29~dfsg-2) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Version actuelle : v0.10.29
/usr/local/lib/node_modules/npm/bin/npm-cli.js:85
let notifier = require('update-notifier')({pkg})
^^^^^^^^
SyntaxError: Unexpected identifier
at Module._compile (module.js:439:25)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Function.Module.runMain (module.js:497:10)
at startup (node.js:119:16)
at node.js:906:3
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation

Avatar de l’utilisateur
lunarok
Actif
Messages : 6685
Inscription : 08 août 2014, 12:48
Localisation : Anjou

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par lunarok » 22 oct. 2019, 10:30

Un peu de recherche avant de poster, facile à trouver celle là (indice : jessie)
Mon Blog | Xiaomi Home
Pour contribuer au développement des plugins (don ou achat de matériel) : Paypal
Aides nous à t'aider : les logs, détails du soucis, la doc, recherche sur le forum ...
PS : pas de support par MP, je ne répondrais pas

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 22 oct. 2019, 11:15

lunarok a écrit :
22 oct. 2019, 10:30
Un peu de recherche avant de poster, facile à trouver celle là (indice : jessie)
j'ai pourtant fais pas mal de recherche avant de poster vu que cela fait quelques semaines ou je coince mais je vais reparcourir le post afin de trouver une solution...

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 22 oct. 2019, 12:18

je viens donc d'ajouter les depot strecth au fichier /etc/apt/sources.list mais est ce que je dois commenter les depot jessie afin de ne laisser que le stretch ou je peux laisser les deux?car maintenant je me retrouve avec ceci

Code : Tout sélectionner

Début de l'installation
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2019-10-22 12:13:12--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.36.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.36.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1491 (1.5K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 18.3M=0s
2019-10-22 12:13:12 (18.3 MB/s) - 'dependencies.sh' saved [1491/1491]
dependencies.sh: 3: [: espeasy: unexpected operator
Version actuelle : 4
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://security.debian.org jessie/updates InRelease
Ign http://deb.debian.org stretch InRelease
Hit http://security.debian.org stretch/updates InRelease
Hit http://deb.debian.org stretch-updates InRelease
Hit http://deb.debian.org stretch Release.gpg
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://deb.debian.org stretch Release
Hit http://ftp.fr.debian.org jessie Release
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Hit http://security.debian.org jessie/updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/main armhf Packages
Hit http://security.debian.org jessie/updates/main armhf Packages
Hit http://security.debian.org jessie/updates/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib armhf Packages
Hit http://security.debian.org jessie/updates/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/non-free armhf Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://security.debian.org stretch/updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/main Translation-en
Hit http://security.debian.org stretch/updates/main armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/non-free Translation-en
Hit http://security.debian.org stretch/updates/main Translation-en
Get:1 http://deb.debian.org stretch-updates/main Sources/DiffIndex [11.6 kB]
Get:2 http://deb.debian.org stretch-updates/main armhf Packages/DiffIndex [12.1 kB]
Get:3 http://deb.debian.org stretch-updates/main Translation-en/DiffIndex [6148 B]
Hit http://deb.debian.org stretch/main Sources
Hit http://deb.debian.org stretch/main armhf Packages
Hit http://deb.debian.org stretch/main Translation-en
Hit http://deb.debian.org stretch/main Translation-fr
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/main armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Fetched 29.8 kB in 32s (917 B/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 144 not upgraded.
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be REMOVED:
gyp* libicu57* libjs-inherits* libjs-jquery* libjs-node-uuid*
libjs-underscore* libssl1.0-dev* libssl1.0.2* libuv1* libuv1-dev*
node-abbrev* node-ansi* node-ansi-color-table* node-archy* node-async*
node-balanced-match* node-block-stream* node-brace-expansion*
node-builtin-modules* node-combined-stream* node-concat-map*
node-cookie-jar* node-delayed-stream* node-forever-agent* node-form-data*
node-fs.realpath* node-fstream* node-fstream-ignore*
node-github-url-from-git* node-glob* node-graceful-fs* node-gyp*
node-hosted-git-info* node-inflight* node-inherits* node-ini*
node-is-builtin-module* node-isexe* node-json-stringify-safe* node-lockfile*
node-lru-cache* node-mime* node-minimatch* node-mkdirp* node-mute-stream*
node-node-uuid* node-nopt* node-normalize-package-data* node-npmlog*
node-once* node-osenv* node-path-is-absolute* node-pseudomap* node-qs*
node-read* node-read-package-json* node-request* node-retry* node-rimraf*
node-semver* node-sha* node-slide* node-spdx-correct*
node-spdx-expression-parse* node-spdx-license-ids* node-tar*
node-tunnel-agent* node-underscore* node-validate-npm-package-license*
node-which* node-wrappy* node-yallist* nodejs* nodejs-dev* npm*
0 upgraded, 0 newly installed, 75 to remove and 144 not upgraded.
After this operation, 56.9 MB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 41114 files and directories currently installed.)
Removing npm (1.4.21+ds-2) ...
Purging configuration files for npm (1.4.21+ds-2) ...
Removing node-gyp (3.4.0-1) ...
Removing gyp (0.1+20150913git1f374df9-1) ...
Removing node-underscore (1.8.3~dfsg-1) ...
Removing nodejs-dev (4.8.2~dfsg-1) ...
Removing node-tar (2.2.1-1) ...
Removing node-fstream-ignore (0.0.6-2) ...
Removing node-fstream (1.0.10-1) ...
Removing node-rimraf (2.5.4-2) ...
Removing libjs-jquery (3.1.1-2+deb9u1) ...
Removing node-request (2.26.1-1) ...
Removing node-node-uuid (1.4.0-1) ...
Removing libjs-node-uuid (1.4.0-1) ...
Removing libjs-underscore (1.8.3~dfsg-1) ...
Removing libssl1.0-dev:armhf (1.0.2t-1~deb9u1) ...
Removing libuv1-dev:armhf (1.9.1-3) ...
Removing node-nopt (3.0.6-3) ...
Removing node-abbrev (1.0.9-1) ...
Removing node-npmlog (0.0.4-1) ...
Removing node-ansi-color-table (1.0.0-1) ...
Removing node-ansi (0.3.0-2) ...
Removing node-archy (1.0.0-1) ...
Removing node-form-data (0.1.0-1) ...
Removing node-async (0.8.0-1) ...
Removing node-block-stream (0.0.9-1) ...
Removing node-read-package-json (1.2.4-1) ...
Removing node-normalize-package-data (2.3.5-2) ...
Removing node-is-builtin-module (1.0.0-1) ...
Removing node-builtin-modules (1.1.1-1) ...
Removing node-combined-stream (0.0.5-1) ...
Removing node-cookie-jar (0.3.1-1) ...
Removing node-delayed-stream (0.0.5-1) ...
Removing node-forever-agent (0.5.1-1) ...
Removing node-github-url-from-git (1.4.0-1) ...
Removing node-graceful-fs (4.1.11-1) ...
Removing node-hosted-git-info (2.1.5-1) ...
Removing node-ini (1.1.0-1) ...
Removing node-which (1.2.11-1) ...
Removing node-isexe (1.1.2-1) ...
Removing node-json-stringify-safe (5.0.0-1) ...
Removing node-lockfile (0.4.1-1) ...
Removing node-lru-cache (4.0.2-1) ...
Removing node-mime (1.3.4-1) ...
Removing node-mkdirp (0.5.0-1) ...
Removing node-read (1.0.7-1) ...
Removing node-mute-stream (0.0.7-1) ...
Removing node-osenv (0.1.0-1) ...
Removing node-pseudomap (1.0.2-1) ...
Removing node-qs (2.2.4-1) ...
Removing node-retry (0.6.0-1) ...
Removing node-semver (5.3.0-1) ...
Removing node-sha (1.2.3-1) ...
Removing node-slide (1.1.4-1) ...
Removing node-validate-npm-package-license (3.0.1-1) ...
Removing node-spdx-correct (1.0.2-1) ...
Removing node-spdx-expression-parse (1.0.4-1) ...
Removing node-spdx-license-ids (1.2.2-1) ...
Removing node-tunnel-agent (0.3.1-1) ...
Removing node-yallist (2.0.0-1) ...
Removing node-glob (7.1.1-1) ...
Removing node-inherits (2.0.3-1) ...
Removing libjs-inherits (2.0.3-1) ...
Removing node-minimatch (3.0.3-1) ...
Removing node-brace-expansion (1.1.6-1+deb9u1) ...
Removing node-balanced-match (0.4.2-1) ...
Removing node-concat-map (0.0.1-1) ...
Removing node-fs.realpath (1.0.0-1) ...
Removing node-inflight (1.0.6-1) ...
Removing node-once (1.4.0-2) ...
Removing node-path-is-absolute (1.0.0-1) ...
Removing node-wrappy (1.0.2-1) ...
Removing nodejs (4.8.2~dfsg-1) ...
Removing libicu57:armhf (57.1-6+deb9u3) ...
Removing libssl1.0.2:armhf (1.0.2t-1~deb9u1) ...
Purging configuration files for libssl1.0.2:armhf (1.0.2t-1~deb9u1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
Removing libuv1:armhf (1.9.1-3) ...
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
dependencies.sh: 37: [: armv7l: unexpected operator
Utilisation du dépot officiel
## Installing the NodeSource Node.js 12.x repo...
## Populating apt-get cache...
+ apt-get update
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://security.debian.org jessie/updates InRelease
Hit http://ftp.fr.debian.org jessie Release
Hit http://security.debian.org stretch/updates InRelease
Ign http://deb.debian.org stretch InRelease
Hit http://deb.debian.org stretch-updates InRelease
Hit http://deb.debian.org stretch Release.gpg
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://deb.debian.org stretch Release
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/main armhf Packages
Hit http://security.debian.org jessie/updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib armhf Packages
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free armhf Packages
Hit http://security.debian.org jessie/updates/main armhf Packages
Hit http://security.debian.org jessie/updates/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/non-free armhf Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://ftp.fr.debian.org jessie-updates/main Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie-updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/main armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib armhf Packages
Hit http://ftp.fr.debian.org jessie/non-free armhf Packages
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-en
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Hit http://security.debian.org stretch/updates/main Sources
Hit http://security.debian.org stretch/updates/main armhf Packages
Hit http://security.debian.org stretch/updates/main Translation-en
Get:1 http://deb.debian.org stretch-updates/main Sources/DiffIndex [11.6 kB]
Get:2 http://deb.debian.org stretch-updates/main armhf Packages/DiffIndex [12.1 kB]
Get:3 http://deb.debian.org stretch-updates/main Translation-en/DiffIndex [6148 B]
Hit http://deb.debian.org stretch/main Sources
Hit http://deb.debian.org stretch/main armhf Packages
Hit http://deb.debian.org stretch/main Translation-en
Hit http://deb.debian.org stretch/main Translation-fr
Fetched 29.8 kB in 34s (858 B/s)
Reading package lists...
## Confirming "stretch" is supported...
+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/stretch/Release'
## Adding the NodeSource signing key to your keyring...
+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
OK
## Creating apt sources list file for the NodeSource Node.js 12.x repo...
+ echo 'deb https://deb.nodesource.com/node_12.x stretch main' > /etc/apt/sources.list.d/nodesource.list
bash: /etc/apt/sources.list.d/nodesource.list: No such file or directory
Error executing command, exiting
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libicu57 libssl1.0.2 libuv1
The following NEW packages will be installed:
libicu57 libssl1.0.2 libuv1 nodejs
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
0 upgraded, 4 newly installed, 0 to remove and 144 not upgraded.
Need to get 0 B/11.5 MB of archives.
After this operation, 43.7 MB of additional disk space will be used.
Selecting previously unselected package libssl1.0.2:armhf.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 39486 files and directories currently installed.)
Preparing to unpack .../libssl1.0.2_1.0.2t-1~deb9u1_armhf.deb ...
Unpacking libssl1.0.2:armhf (1.0.2t-1~deb9u1) ...
Selecting previously unselected package libicu57:armhf.
Preparing to unpack .../libicu57_57.1-6+deb9u3_armhf.deb ...
Unpacking libicu57:armhf (57.1-6+deb9u3) ...
Selecting previously unselected package libuv1:armhf.
Preparing to unpack .../libuv1_1.9.1-3_armhf.deb ...
Unpacking libuv1:armhf (1.9.1-3) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../nodejs_4.8.2~dfsg-1_armhf.deb ...
Unpacking nodejs (4.8.2~dfsg-1) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libssl1.0.2:armhf (1.0.2t-1~deb9u1) ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
Setting up libicu57:armhf (57.1-6+deb9u3) ...
Setting up libuv1:armhf (1.9.1-3) ...
Setting up nodejs (4.8.2~dfsg-1) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Version actuelle : v4.8.2
dependencies.sh: 59: dependencies.sh: npm: not found
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation
merci
PS:je suis sous debian chroot sur un Synology

webrod
Timide
Messages : 48
Inscription : 08 sept. 2016, 20:23

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par webrod » 22 oct. 2019, 13:28

salut

j'ai bcp galéré aussi, suite à cette erreur j'installais nodejs en SSH, mais ensuite le module me le supprimais.
en fait j'ai migré de jessie vers stretch mon OS, puis l'installation de nodejs n'a plus été un souci, le daemon ESPeasy etait vert.
mais attention de mémoire j'avais eu des problèmes car la migration vers strecth avait pété la config apache/mysql (peut etre qu'il m'a demandé pendant l'installation si je voulais ecraser les fichiers de config et que j'ai bêtement dit OUI), j'avais du réactiver certains plugins (curl de mémoire, peut etre zip je ne sais plus).
en regardant les logs d'erreur au démarrage de jeedom (il demarrait bien mais empechait des plugins de demarer leur dameon), j'ai pu voir ce qu'il manquait et le réactiver. pour bien voir les erreurs, j'avais fais un update de jeedome depuis la CLI, comme ca les erreurs s'affichent directement c'est pratique:
php /var/www/html/install/update.php mode=force

Rod

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 22 oct. 2019, 14:18

webrod a écrit :
22 oct. 2019, 13:28
salut

j'ai bcp galéré aussi, suite à cette erreur j'installais nodejs en SSH, mais ensuite le module me le supprimais.
en fait j'ai migré de jessie vers stretch mon OS, puis l'installation de nodejs n'a plus été un souci, le daemon ESPeasy etait vert.
mais attention de mémoire j'avais eu des problèmes car la migration vers strecth avait pété la config apache/mysql (peut etre qu'il m'a demandé pendant l'installation si je voulais ecraser les fichiers de config et que j'ai bêtement dit OUI), j'avais du réactiver certains plugins (curl de mémoire, peut etre zip je ne sais plus).
en regardant les logs d'erreur au démarrage de jeedom (il demarrait bien mais empechait des plugins de demarer leur dameon), j'ai pu voir ce qu'il manquait et le réactiver. pour bien voir les erreurs, j'avais fais un update de jeedome depuis la CLI, comme ca les erreurs s'affichent directement c'est pratique:
php /var/www/html/install/update.php mode=force

Rod
Merci de ton aide peux-tu m'éclairer sur la manière de migrer depuis Jessie vers stretch,j'ai ajouté les dépôts stretch en plus de ceux Jessie dans le fichier sources.list mais que dois je faire de plus et est ce que je dois laisser les dépôts Jessie où non?
Merci

Avatar de l’utilisateur
Giome
Timide
Messages : 191
Inscription : 03 oct. 2015, 06:18

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par Giome » 22 oct. 2019, 14:26

@arno.aka.vdb : Comme ce topic concerne espeasy et que ton soucis n'est pas propre au plugin mieux vaut ne pas "encombrer" ce topic. Tu peux creer ton topic ou continuer en mp avec webrod.

PS : pour ma part je te conseillerai de repartir de zero avec une fresh install de stretch, installer jeedom et de restaurer ton backup de jeedom.

rol-rider
Actif
Messages : 5086
Inscription : 10 août 2014, 23:50

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par rol-rider » 22 oct. 2019, 14:33

PS:je suis sous debian chroot sur un Synology
je dirais même plus ! d'aller voir dans la section Synology (dans DIY)
RPI3 avec mSATA
RFXcom; RFLink; Z-Wave; Mysensors; ESPEasy
Noeuds MySensors-téléinfo-Température-Distance-Baromètre-relais
Noeuds ESPEasy-open-garage-relais-PIR-Station Météo

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 23 oct. 2019, 15:38

Bon ben avec l'aide de webrod en mp j'ai pu upgrader mon debian sans aucuns soucis et les dépendances ont enfin pu s'installer sans problèmes.
je me retrouve maintenant avec ce log lorsque je remonte les infos de mon esp :

Code : Tout sélectionner

Calling Jeedom http://127.0.0.1:8088/plugins/espeasy/core/api/jeeEspeasy.php?apikey=*******&demo.php?name=ESP_Easy&task=Temp&valuename=Temperature&value=14.00&ip=192.168.1.36
Wed Oct 23 2019 15:29:13 GMT+0200 (Central European Summer Time) - Error : null
j'ai vu que certains ont eu ce problème mais je ne vois pas ou gérer cela car le problème vient de l'appel http...
merci d'avance pour l'aide

webrod
Timide
Messages : 48
Inscription : 08 sept. 2016, 20:23

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par webrod » 23 oct. 2019, 17:38

juste un commentaire, je ne reconnais pas l'url. c'est quel firmware ESP coté module?
et en plus il y a 2 .php et 2 "?", pourquoi demo.php passé en paramètre?

chez moi j'ai ca:

Code : Tout sélectionner

Calling Jeedom http://127.0.0.1:80/plugins/espeasy/core/api/jeeEspeasy.php?apikey=xxxx&device=ESP_easy_evan_bureau&taskid=2&cmd=Sw12&value=0&ip=192.168.1.83

il faut que tu regardes ce que tu as configuré sur ton ESP, perso j'ai mis ca comme config du controller:
device=%sysname%&taskid=%id%&cmd=%valname%&value=%value%

j'utilise ce firmware:
Build:⋄ 20103 - Mega
Libraries:⋄ ESP82xx Core 2_4_2, NONOS SDK 2.2.1(cfd48f3), LWIP: 2.0.3 PUYA support
GIT version:⋄ mega-20181220
Plugins:⋄ 46 [Normal]
Build Md5: fc21cc476831c3c5a9c231449862226b
Md5 check: passed.
Build time:⋄ Dec 20 2018 03:04:51
Binary filename:⋄ ESP_Easy_mega-20181220_normal_ESP8266_1024.bin

mais bon j'imagine tu utilises un autre firmware et du coup je ne pourrais pas aider

arno.aka.vdb
Timide
Messages : 67
Inscription : 22 mars 2018, 21:16

Re: [Plugin Tiers][Sujet Principal] ESPeasy

Message par arno.aka.vdb » 23 oct. 2019, 18:06

Super c'était la config du contrôler qui était mauvaise encore merci pour toute ton aide

Répondre

Revenir vers « [Plugin Tiers] ESPEasy »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 7 invités